import { createVNode as _createVNode } from "vue";
// Styles
import "./VApp.sass"; // Composables

import { useTheme } from "../../composables/theme.mjs";
import { createLayout, makeLayoutProps } from "../../composables/layout.mjs"; // Utilities

import { defineComponent } from 'vue';
import { makeProps } from "../../util/index.mjs";
import { useRtl } from "../../composables/rtl.mjs";
export default defineComponent({
  name: 'VApp',
  props: makeProps({
    theme: String,
    ...makeLayoutProps()
  }),

  setup(props, {
    slots
  }) {
    const {
      themeClasses
    } = useTheme();
    const {
      layoutClasses
    } = createLayout(props);
    const {
      rtlClasses
    } = useRtl();
    return () => _createVNode("div", {
      "class": ['v-application', themeClasses.value, layoutClasses.value, rtlClasses.value],
      "data-app": "true"
    }, [_createVNode("div", {
      "class": "v-application__wrap"
    }, [slots.default == null ? void 0 : slots.default()])], 2);
  }

});
//# sourceMappingURL=VApp.mjs.map