import { createVNode as _createVNode, resolveDirective as _resolveDirective } from "vue";
// Composables
import { makeLayoutItemProps, useLayoutItem } from "../../composables/layout.mjs"; // Utilities

import { computed, defineComponent, toRef } from 'vue';
import { makeProps } from "../../util/index.mjs"; // Types

export default defineComponent({
  name: 'VLayoutItem',
  props: makeProps({
    position: {
      type: String,
      required: true
    },
    ...makeLayoutItemProps()
  }),

  setup(props, {
    slots
  }) {
    const styles = useLayoutItem(props.name, toRef(props, 'priority'), computed(() => {
      var _props$position;

      return (_props$position = props.position) != null ? _props$position : 'left';
    }), toRef(props, 'size'));
    return () => _createVNode("div", {
      "style": styles.value
    }, [], 4);
  }

});
//# sourceMappingURL=VLayoutItem.mjs.map