import { createVNode as _createVNode } from "vue";
import { defineComponent } from 'vue';
import { provideLocale } from "../../composables/locale.mjs";
import { provideRtl } from "../../composables/rtl.mjs";
import { makeProps } from "../../util/index.mjs";
export default defineComponent({
  name: 'VLocaleProvider',
  props: makeProps({
    locale: String,
    fallbackLocale: String,
    messages: Object,
    rtl: {
      type: Boolean,
      default: undefined
    }
  }),

  setup(props, ctx) {
    const localeInstance = provideLocale(props);
    const {
      rtlClasses
    } = provideRtl(props, localeInstance);
    return () => _createVNode("div", {
      "class": rtlClasses.value
    }, [ctx.slots.default == null ? void 0 : ctx.slots.default()], 2);
  }

});
//# sourceMappingURL=VLocaleProvider.mjs.map