import { camelize, capitalize, defineComponent, h } from 'vue';
import { makeProps } from "./makeProps.mjs";
export function createSimpleFunctional(klass, tag = 'div', name) {
  return defineComponent({
    name: name != null ? name : capitalize(camelize(klass.replace(/__/g, '-'))),
    props: makeProps({
      tag: {
        type: String,
        default: tag
      }
    }),

    setup(props, {
      slots
    }) {
      return () => h(props.tag, {
        class: klass
      }, slots.default == null ? void 0 : slots.default());
    }

  });
}
//# sourceMappingURL=createSimpleFunctional.mjs.map